/*reset CSS browser*/


/*div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,acronym,address,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,small,strike,strong,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend {
        margin:0;
        padding:0;
        border:0;
        outline:0;
        vertical-align:baseline;
        list-style:outside none none;
}*/
.spotted{
    background-color: #7fc241;
}
.petiteImage{
	width: 100%;
	max-width: 300px;
	height: auto;
}
#searchBox{
    background-image: url("../images/loupe.svg");
    background-repeat: no-repeat;
    background-position: 1% 50%;
    padding: 5px 22px;
}
h1{
    text-shadow: 3px 2px #7fc241;
}
h2, h3 {
    font-size: 1.6rem;
    font-weight: bold;
    text-align: center;
    /*color: hsl(120,10%, 33%);*/
}
footer{
    position: absolute;
    bottom: 0;
    height: 30px;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}
footer>p{
    margin: 0 1px;
    padding: 3px 10px;
    display: flex;
    justify-content: space-between;
    width: 100%;
    border-radius: 3px;
    background-color: #e3e2e2;
}
a{
	color: #007db1; 
}

/*                Général         */
*{
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
}   
html{
    width: 100%;
    height: 100vh;
    padding: 0 10px;
}
body{
    position: relative;
    max-width: 1440px;
    min-height: 100vh;
    padding-bottom: 75px;
    line-height: 2rem;
    margin: 0 auto;
    background-color: hsl(0,2%,95%);
    font-family: 'Montserrat', sans-serif;
}
a{
    text-decoration: none;
}
a:visited{
    color: #007db1;
}
#allpage{
    display: grid;
    grid-template-areas: "prems"
        "second";
}
.pdf{
    height: 30px;
}
.hidden{
    display: none;
}
.red{
    color: red;
}
.center{
    display: flex;
    justify-content: center;
    align-items: center;
}
.bold{
    font-weight: bold;
}
.bigGreen{
    font-size: 2rem;
    color: #7fc241 !important;
}
.centerFlexColumn{
    display: flex;
    align-items: center;
    flex-direction: column;
}
.centerFlexRow{
    display: flex;
    justify-content: center;
    align-items: center;
}
#baniere{
    height: 200px;
    color: #007db1;
    font-size: 2rem;
    background-image: url("../images/ban.jpg");
    background-repeat: no-repeat;
    background-size: cover;
     background-position: 50% 38%;
    border-radius: 3px;
}
.button{
    cursor: pointer;
    width: 250px;
    text-align: center;

}
.justify{
    text-align: center;
}
.bkgCol{
    border-radius: 5px;
    background-color: hsl(91, 51%, 81%);
    box-shadow: 5px 5px 4px hsl(0,0%,80%);
    font-weight: bold;
    transition: all 0.3s ease;
}
.bkgCol:hover{
    transform: scale(1.3);  
}    
.spaceAround{
    justify-content: space-around
}
.btn-submit{
    font-weight: bold;
    margin: 1rem 0;
    color: white;
    background-color: hsla(211,100%,50%,0.6);
    border: 3px solid hsl(211,100%,50%);
    border-radius: 3px;
    padding: 5px 15px;
}
.btn-submit:hover{
    cursor: pointer;
    background-color: hsl(211,100%,50%);
}
summary{
    cursor: pointer;
}
.scale{
    transform: scale(1.3);
}
/*              Menu header                 */
.menuTop{
    width: 100%;
    height: 25px;
    position: relative;
}
.menuTop>a{
    position: absolute;
    right: 2px;
    color: #f3f2f2;
    background-color: #007db1;
    border-radius: 5px;
    box-shadow: 0 1px 10px #727272;
}
.menuTop>a:hover{
	box-shadow: 0 1px 10px #323232;
	color: #7fc241;
}
.wrapperLogo{
    width: 315px;
}
.logo{
        width: 100%;
    }
#wrapperNav{
    width: 100%;
    display: flex;
    justify-content: center;
}
.menuDown{
    display: flex;
}
.menu{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    height: 100%;
    margin: 0;
    padding-left: 5px;
}
.menu>li {
    display: inline;
    padding: 10px;
    color: #007db1;
    font-size: 1.2rem;
}
.menu>li:hover{
    border-top: 4px  solid #7fc241;
}

#menuSideWrapper{
    display: none;
}
.burger{
    display: none;
    position:absolute;
    top: 15px;
    right: 15px;
	width: 30px;
}


/*        redu corp index        */
.gridIndex{
    grid-area: prems;
    width: 100%;
    display: grid;
    grid-gap: 20px;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto auto 300px 150px 150px;
    grid-template-areas: "rouge rouge rouge"
						 "bleu bleu bleu"
                         "modules modules news"
                         "doc admin news"
                         "cartotheque presta news";
}
#inforouge{
    grid-area: rouge;
	display: flex;
	align-items:center;
	flex-direction:column;
}
#infobleu{
	grid-area: bleu;
	display: flex;
	align-items:center;
	flex-direction:column;
}
.infoCenter{
	display:flex;
	align-items:center;
}
.newsDeux{
    color: red;
    font-size: 1.5rem;
	margin: 0;
	padding-left:10px;
}

.newsQuatre{
	color: rgb(0, 125, 177);
	font-size: 1.2rem;
	margin: 0;
	padding-left:10px;
}

#lesModules{
    grid-area: modules;
    overflow: hidden;
    border: 5px solid hsl(0,20%,75%);
    border-radius: 5px;
    position: relative;
}
.imageAnim>img{
    width: 100%;
    height: auto;
    opacity: 1;
    transition: all 0.5s ease-in-out;
}
.imageAnim{
    overflow: hidden;
    cursor: pointer;
}
.imageAnim:hover>img{
    width: 100%;
    height: auto;
    opacity: 0.4;
    transform: scale(1.2);
}
.bannierAnim{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    padding-left: 15px;
    align-self: center;
    font-weight: bold;
    font-size: 2rem;
    color: white;
    opacity: 1;
    transition:  all 0.7s ease;
    overflow: hidden;
}
.imageAnim:hover>.bannierAnim{
    background-color: black;
    opacity: 0.6;
}

#lesModules:hover>a{
    transform: translateY(0%);
    opacity: 1;
    z-index: 12;
}
#lesModules:hover>#lesModules23{
    top: 5rem;
    left: 40%;
}
#btnLeft>img{
    transform: rotate(-90deg);
    height: 50px;
}
#btnRight>img{
    transform: rotate(90deg);
    height: 50px;
}
#lesModules:hover>#btnLeft{
    left: 10px;
    position: absolute;
}
#lesModules:hover>#btnRight{
    right: 10px;
    position: absolute;
}
.btndirection{
    top: 33%;
    height: 33%;
    width: 75px;
    color: #007db1;
    font-weight: bold;
    font-size: 3rem;
    cursor: pointer;
    background-color: hsla(0,0%,99%, 0.9);
    border-radius: 0 25px 0 25px;
    border: none;
    transition: all 0.3s ease;
}
.btndirection:hover{
    background-color: hsl(0,0%,99%);
    transform: scale(1.1);
    box-shadow: 0 0 50px #007db1;
}
#lesModules23{
    perspective: 100000px;
    transform-style: preserve-3d;
    transform-origin: center;
    position: absolute;
    top: 17rem;
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    transition: all 0.5s ease;
}
#lesModules23>a{
    display: inline-block;
    font-size: 1rem;
    width: 180px;
    height: 200px;
    margin-left: 25px;
    transition: all 0.5s ease;
    transform-origin: center center;
    background-color: hsl(0,0%,98%);
    border: 1px solid black;
    border-radius: 5px;
}
.gray{
    background-color: gray;
}  
#lesModules23>a>div{
    height: 100%;
    width: 100%
}
.titreApps{
    display: flex;
    justify-content: center;
    align-items: baseline;
}
.titreApps>p{
    position: absolute;
    margin: 0;
    padding: 0 5px;
    line-height: 1rem;
    text-shadow: 1px 1px 1px #919191;
    text-align: center;
    overflow: hidden;
}
#portailcitoyen{
    font-family: "aclonica";
    color: #ff6c00;
    text-shadow: 1px 1px black;
}
#plus{
    position: absolute;
    bottom: 0;
    right: 0;
    width: 0;
    height: 0;
}

#plus:before{
    content: '';
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: 123;
    opacity: 0;
    transition: all 0.8s ease;
}
#plus:after{
    content: '';
    position: absolute;
    right: 0;
    bottom: 0;
    border-color:  transparent transparent #7fc241 transparent;
    border-style: solid;
    border-width: 0 0 0 0;
    opacity: 0;
    transition: all 0.5s ease;
}
#lesModules:hover>#plus:before{
    content: ' + ';
    position: absolute;
    right: 6px;
    bottom: 10px;
    z-index: 123;
    opacity: 1;
    color: white;
    font-weight: bolder;
    font-size: 4rem;
    text-shadow: 3px 3px black;
}
#lesModules:hover>#plus:hover::before{
    
    text-shadow: 3px 3px black;
    transform: scale(1.2);
}
#lesModules:hover>#plus:after{
    content: '';
    position: absolute;
    right: 0;
    bottom: 0;
    border-color:  transparent transparent #7fc241 transparent;
    border-style: solid;
    border-width: 0 0 80px 80px;
    opacity: 1;
}
#lesNews{
    position: relative;
    grid-area: news;
    height: 100%;
    border: 5px solid hsl(230, 20%, 75%);
    border-radius: 5px;
    overflow: hidden;
    text-overflow: ellipsis;

}
#actualite{
    font-family: "aclonica";
    font-weight: bold;
    font-size: 2rem;
    color: #7fc241;
    text-shadow: 1px 1px black;
    opacity: 1;
}
.infosTransit{
   height: 85%;
   opacity: 0;
   transition: all 0.5s ease;
   font-size: 1rem;
}
#lesNews:hover>.bannierAnim>.infosTransit{
   opacity: 1;
}
.transit:hover>*.infosTransit{
    z-index: 0;
    transform: translateY(-20%);
    top: 50px;
    transition:  opacity 1s ease;
    opacity: 1;
}
#lesDocs{
    position: relative;
    grid-area: doc;
    border: 5px solid hsl(35, 20%, 75%);
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
}
#imageDoc{
    width: 100%;
    height: 100%;
}
#ladoctitre{
    font-family: "Aclonica";
    font-weight: bold;
    text-align: center;
    font-size: 2.5rem;
    color: hsl(63.5, 99%, 59%);
    text-shadow: 1px 2px hsl(199, 99%, 5%);
}
#Cartotheque{
    position: relative;
    grid-area: cartotheque;
    border: 5px solid hsl(85, 20%, 75%);
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
}
#CartoTitre{
    font-family: "Aclonica";
    font-weight: bold;
    text-align: center;
    font-size: 2.5rem;
    color: hsl(5, 99%, 97%);
    text-shadow: 1px 2px hsl(199, 99%, 5%);
}
#admin{
    position: relative;
    grid-area: admin;
    border: 5px solid hsl(260, 20%, 75%);
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

#adminTitre{
    font-family: "Aclonica";
    font-weight: bold;
    text-align: center;
    font-size: 2.5rem;
    color: hsl(150, 99%, 100%);
    text-shadow: 1px 2px hsl(150, 99%, 5%);
}
#lesPresta{
    position: relative;
    grid-area: presta;
    border: 5px solid hsl(125, 20%, 75%);
    border-radius: 3px; 
    display: flex;
    align-items: center;
    justify-content: center;
}
#prestatitre{
    font-family: "Aclonica";
    text-align: center;
    font-size: 2.5rem;
    color: hsl(177.8, 91.3%, 100%);
    text-shadow: 1px 2px hsl(0,0%,5%);
}
.brightness75{
	filter: brightness(75%);
}

.coinarondi{
    border-radius: 5px;
    transition: all 0.4s ease;
}
.coinarondi>img{
    padding: 12px;
    border-radius: 5px;
    width: 100%;
    box-shadow: 0px 5px 4px hsl(0,0%,80%);
    
}
#second{
    grid-area: second;
}
.boxInfo{
	padding-top:0;
}
.imgBoxInfo{
	display: block;
	margin-left: auto;
    margin-right: auto;
}

/* #############      demande prestataire           """""""""""""""""""""""""*/
.form-row{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.form-row>label{
    padding: 10px;
    width: 50%
}
.form-row>input{
    padding: 10px;
    width: 50%
}
.form-row>div>input[type="radio"]{
    padding: 10px;
    width: 10%
}
fieldset{
    margin: 15px 0;
    padding: 22px;
    background-color: hsl(0,0%,100%);
    box-shadow: 0px 5px 4px hsl(0,0%,80%);
    border: none;
    border-radius: 5px;
}
.fielsetTitle{
    /*    margin: 10px;*/
    text-decoration: underline;
}
fieldset>p{
    text-align: center;
}
table{
    width: 100%;
    /*border-collapse: collapse;*/
}
th{
    background-color: hsl(20,20%,92%);
}
.text-area{
    width: 50%;
}

table, td, th {
    text-align: center;
    border: 1px solid black;
}
#t02 td{
    /*width: 50%;*/
    height: 150px;
}
td>textarea{
    height: 100%;
    width: 100%;
    resize: none;
    border: none;
}
#limites{
    border-bottom: 1px solid black;
}
#goTop{
    width: 75px;
    height: 75px;
    position: fixed;
    bottom: 20px;
    right: 10px;
    background-image: url('../images/fleche_up.svg');
    background-repeat: no-repeat;
    background-size: 100% 100%;
    cursor: pointer;
}

/*******************************   Documentation   ****************************/
#docuTop{
    margin-top: 25px;
}
.lineUnder{
    border-bottom: 8px solid #007db1;
}
.aligned{
	display: flex;
	align-items: center;
	margin-bottom: 10px;
}
.aucentre{
	margin: auto;
	display: flex;
}
.aligned>img{
	margin-right: 5px;
}
/*                         Contact                                      */
#wrappercontact{
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;

}
.Left{
	width: 48%;
}
.Right{
	width: 48%;
}
.Right>form{
	height: 95%;
}
.Right>form>fieldset{
	height: 100%;
}
#leafmap{
    height: 300px;
}
#bureau{
    width: 100%;
    margin: 2px;
    text-align: center;
    padding: 1rem;
     box-shadow: 0 5px 4px hsl(0,0%,87%);
}
.importantInfoTitle{
	margin:0;
	font-size:20px;
}
.newsTois{
	margin:0;
	 font-weight:bold;
	 font-size:18px;
}
fieldset.square{
	align-items: flex-start;
}
.square>input{
	width: 100%;
}
.square>textarea{
	width: 100%;
}
.redButton{
    border: 2px solid red;
    background-color: red;
    color: white;
    font-weight: bold;
}
.inputs{
    margin: 5px 0;
    box-shadow: 0 5px 4px hsl(0,0%,80%);
}
#formMentionLegal{
    background-color: hsl(20,20%,92%);
    padding: 15px;
}
.contactd{
    height: 95%;
    padding: 0 15px;
    text-align: center;
}

.touchScroll{
    touch-action: pan-y;
}

.centered-block {
    width: 50%;
    margin: 0 auto;
}



@media screen and (max-width: 1362px) {
    .imageAnim>img{
        height: 100%;
    }


    .centered-block {
        width: 65%;
        margin: 0 auto;
    }

}
@media screen and (max-width: 1200px) {
    body{
        margin: 0 2%;
    }
    .gridIndex{
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto auto repeat(4,150px);
        grid-gap: 5px;
        grid-template-areas: "rouge rouge"
			"bleu bleu"
            "modules modules"
            "news news"
            "doc cartotheque"
            "presta admin";
    }
    .imageAnim>img{
        height: auto;
    }
    #lesModules{
        height: 150px;
    }

    #imageDoc{
        width: 100%;
        height: auto;
    }
    .btndirection, #lesModules23, .infosTransit{
	   display: none;
    }


    .centered-block {
        width: 75%;
        margin: 0 auto;
    }

}

@media screen and (max-width: 780px) {
    html{
        padding: 0;
    }
    body{
        margin: 0 1%;
    }
    .menuTop{
        display: none;
    }
    #wrapperNav{
        display: none;
    }
    .wrapperLogo{
	    margin-right: 5px;
	    width: 150px;
    }
    #menuSideWrapper{
        display: block;
        position: fixed;
        top: 0;
        background-color: rgba(0,0,0, 0.8);
        z-index: 10;
        height: 100%;
        width: 100%;
        overflow: scroll;
        transition: all 0.7s ease ;
    }
    .centerFlexColumn{
        display: flex;
        align-items: center;
        flex-direction: column;   
    }
    li.btnmenu{
        width: 130px;
    }    
    .closeIcon{
        width: 30px;
        margin: 1rem 0 0 1rem;
    }
    .burger{
        display: block;
        padding: 2px;
        border: 1px solid black;
        box-shadow: 1px 1px 5px #007db1, -1px -1px 5px #007db1;
    }
    .button{
        display: inline-block;
        margin-top: 3px;
        width: 100%;
        padding: 20px;
        color: white;
    }
    .widther{
        height: 0 !important;
        width: 0 !important;
        border-radius: 50px;
    }
    a.button:hover{
        background-color: gray;
    }
    a.button:visited{
        color: white;
    }
    .module{
        margin: 0 0 5px;
    }
    h1{
        font-size: 2rem;
    }
    #goTop{
    width: 35px;
    height: 35px;
    }
    .Left, .Right{
	    width: 100%;
	    margin: 2px;
    }
 

    .centered-block {
        width: 100%;
        margin: 2px;
    }


}
@media screen and (max-width: 578px) {
    .gridIndex{
        grid-template-columns: 1fr;
        grid-template-areas: "rouge"
						 "bleu"		
                         "modules"
                         "news"
                         "doc"
						 "cartotheque"
                         "presta"
                         "admin";
    }
	.newsQuatre{
		font-size:1rem;
	}
	.newsDeux{
		font-size:1.1rem;
	}
    #lesModules>img{
        height: 100%;

    }
    .wrapperLogo{
        width: 100px;
    }
    #admin{
	   max-height: 150px;
    }
    #ladoctitre{
	   font-size: 2rem;
    }


}